Subject: bug#25357: 25.1; Doc for `cursor-sensor-mode' (and modes generally)

From: Drew Adams <[email-masked]>
Date: Fri, 6 Jan 2017 06:50:20 -0800 (PST)

> > Yes, of course.  But I don't think it is obvious to some
> > who read the _Emacs_ manual how they might turn on a major
> > mode using Lisp.
> 
> People who write Lisp should read the ELisp manual, and expect issues
> related to Lisp to be covered there.  The user manual is not the right
> place for that.

Did you read the part about this also not being explicitly
spelled out in the Elisp manual?  And about it being OK to
just link to that (missing) part from the Emacs manual.

It's clear to me that at least some users have been confused
about how to "turn on" a major mode using Lisp.  Sure, we
can cop out and say they haven't studied the Elisp manual
well enough...  I think we can help them more.  And I think
that, so far, the doc (including doc strings) is not as helpful
as it could be wrt using minor and major modes from Lisp.